﻿using ProjectOptika.Scripts.Entities.Enums;

namespace ProjectOptika.Scripts.Entities
{
    public class Accessories
    {
        public int ID { get; private set; }

        public string Name { get; private set; }

        public string Brand { get; private set; }

        public int Cost { get; private set; }

        public int StockAvailability { get; private set; }

        public int AvailabilityStore { get; private set; }

        public DateTime DeliveryDate { get; private set; }

        public CategoryType CategoryName { get; private set; }

        public static Accessories CreateEntity(int id, string name, string brand, int cost, int stockAvailability, int availabilityStore, DateTime deliveryDate, CategoryType categoryName)
        {
            return new Accessories
            {
                ID = id, 
                Name = name, 
                Brand = brand, 
                Cost = cost, 
                StockAvailability = stockAvailability, 
                AvailabilityStore = availabilityStore, 
                DeliveryDate = deliveryDate, 
                CategoryName = categoryName
            };
        }
    }
}
