﻿using ProjectOptika.Scripts.Entities.Enums;

namespace ProjectOptika.Scripts.Entities
{
    public class Client
    {
        public int ID { get; private set; }

        public ClientType ClientType { get; private set; }

        public string FirstName { get; private set; }

        public string SecondName { get; private set; }

        public string Surname { get; private set; }

        public string PhoneNumber { get; private set; }

        public static Client CreateEntity(int id, ClientType clientType, string firstName, string secondName, string surname, string phoneNumber)
        {
            return new Client
            {
                ID = id,
                ClientType = clientType,
                FirstName = firstName,
                SecondName = secondName,
                Surname = surname,
                PhoneNumber = phoneNumber
            };
        }
    }
}
