﻿using ProjectOptika.Scripts.Entities.Enums;

namespace ProjectOptika.Scripts.Entities
{
    public class Employee
    {
        public int ID { get; private set; }

        public PositionEmployee PositionEmployee { get; private set; }

        public string FirstName { get; private set; }

        public string SecondName { get; private set; }

        public string Surname { get; private set; }

        public static Employee CreateEntity(int id, PositionEmployee positionEmployee, string firstName, string secondName, string surname) {
            return new Employee
            {
                ID = id,
                PositionEmployee = positionEmployee,
                FirstName = firstName,
                SecondName = secondName,
                Surname = surname
            };
        }
    }
}
