﻿using ProjectOptika.Scripts.Entities;

namespace ProjectOptika.Scripts.Repositories
{
    public interface IAccessoriesRepository
    {
        IEnumerable<Accessories> GetAccessories();

        Accessories GetAccessoriesByID(int id);

        void CreateAccessories(Accessories accessories);

        void UpdateAccessories(Accessories accessories);

        void DeleteAccessories(int id);
    }
}
