﻿using ProjectOptika.Scripts.Entities;

namespace ProjectOptika.Scripts.Repositories
{
    public interface IOrderRepository
    {
        IEnumerable<Order> GetOrders(DateTime? startDate = null, DateTime? endDate = null, double? totalCost = null, int? id = null, int? employeeID = null, int? clientID = null);

        void CreateOrder(Order order);

        void DeleteOrder(int id);
    }
}
