﻿namespace ProjectOptika.Scripts.Entities
{
    public class Specifications
    {
        public int ID { get; private set; }

        public int AccessoriesID { get; private set; }

        public string Material { get; private set; }

        public string Astigmatism { get; private set; }

        public string Dioptericity { get; private set; }

        public string OriginCountry { get; private set; }

        public double TimeProduction { get; private set; }

        public static Specifications CreateEntity(int id, int accessoriesID, string material, string astigmatism, string dioptericity, string originCountry, double timeProduction)
        {
            return new Specifications
            {
                ID = id,
                AccessoriesID = accessoriesID, 
                Material = material, 
                Astigmatism = astigmatism,
                Dioptericity = dioptericity,
                OriginCountry = originCountry,
                TimeProduction = timeProduction
            }; 
        }
    }
}
