﻿using ProjectOptika.Scripts.Entities;

namespace ProjectOptika.Scripts.Repositories
{
    public interface IClientRepositiory
    {
        IEnumerable<Client> GetClients();

        Client GetClientById(int id);

        void CreateClient(Client client);

        void UpdateClient(Client client);

        void DeleteClient(int id);

    }
}
