﻿using ProjectOptika.Scripts.Entities;

namespace ProjectOptika.Scripts.Repositories
{
    public interface ISpecificationsRepository
    {
        IEnumerable<Specifications> GetSpecifications();

        Specifications GetSpecificationsByID(int id);

        void CreateSpecifications(Specifications specifications);

        void UpdateSpecifications(Specifications specifications);

        void DeleteSpecifications(int id);
    }
}
